Package org.wildfly.plugin.common

## Class Environment

- java.lang.Object
- - org.wildfly.plugin.common.Environment

-     public class Environment
      extends Object

  Utilities for the environment.
  Author:
    James R. Perkins

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Environment()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getJavaCommand​(Path javaHome)` | Returns the Java command to use.
    `static String[]` | `getModularJvmArguments()` | Returns the default JVM arguments for a modular environment.
    `static boolean` | `isModularJvm​(Path javaHome)` | Checks to see if the `javaHome` is a modular JVM.
    `static boolean` | `isWindows()` | Determines if this is a Windows environment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Environment

          public Environment()

  - ### Method Detail

    - #### isModularJvm

          public static boolean isModularJvm​(Path javaHome)

      Checks to see if the `javaHome` is a modular JVM.
      Parameters:
        `javaHome` - the Java Home if `null` an attempt to discover the Java Home will be done
      Returns:
        `true` if this is a modular environment

    - #### getModularJvmArguments

          public static String[] getModularJvmArguments()

      Returns the default JVM arguments for a modular environment.
      Returns:
        the modular arguments

    - #### getJavaCommand

          public static String getJavaCommand​(Path javaHome)

      Returns the Java command to use.
      Parameters:
        `javaHome` - the Java Home, if `null` an attempt to determine the command will be done
      Returns:
        the Java executable command

    - #### isWindows

          public static boolean isWindows()

      Determines if this is a Windows environment.
      Returns:
        `true` if this is a Windows environment, otherwise `false`